`POST /api/v1/agent-definitions/{name}/export`: the agent as a `.apo` package, signed on request.
POST/api/v1/agent-definitions/:name/export
POST /api/v1/agent-definitions/{name}/export: the agent as a .apo
package, signed on request.
Request
Responses
- 200
- 404
- 409
- 422
- 503
The .apo archive. The X-Apollia-Export-Report header carries an ExportReport as ASCII JSON
Response Headers
Content-Disposition
attachment; filename="
X-Apollia-Export-Report
The ExportReport of this export, ASCII JSON
Agent not found
The agent came with a package, or is the built-in agent
No publisher name, an invalid one, or an identifier that cannot name a package
Secret store unavailable for a signed export